Get Many Additional Compensations
Bad Request
Unauthorized
Forbidden
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/additional-compensation?select=SOME_ARRAY_VALUE&filters=SOME_OBJECT_VALUE&limit=SOME_INTEGER_VALUE&offset=SOME_INTEGER_VALUE&sort=SOME_OBJECT_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": [
- {
- "id": "507f1f77bcf86cd799439011",
- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}
], - "total": 500,
- "count": 50,
- "offset": 50,
- "relations": { }
}Create One Additional Compensation
Bad Request
Unauthorized
Forbidden
Internal server error
{- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "effectiveDate": "string",
- "endDate": "string",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}{- "status": "ok",
- "data": {
- "id": "507f1f77bcf86cd799439011",
- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}
}Get One Additional Compensation
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request GET \ --url 'https://api.alexishr.com/v1/additional-compensation/507f1f77bcf86cd799439011?select=SOME_ARRAY_VALUE' \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": {
- "id": "507f1f77bcf86cd799439011",
- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}, - "relations": { }
}Update One Additional Compensation
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "string",
- "endDate": "string",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}{- "status": "ok",
- "data": {
- "id": "507f1f77bcf86cd799439011",
- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}
}Replace One Additional Compensation
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
{- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "string",
- "endDate": "string",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}{- "status": "ok",
- "data": {
- "id": "507f1f77bcf86cd799439011",
- "companyId": "507f1f77bcf86cd799439011",
- "employeeId": "507f1f77bcf86cd799439011",
- "userId": "507f1f77bcf86cd799439011",
- "name": "string",
- "amount": 0,
- "currencyId": "507f1f77bcf86cd799439011",
- "currency": "SEK",
- "effectiveDate": "2019-08-24T14:15:22Z",
- "endDate": "2019-08-24T14:15:22Z",
- "payoutDay": 25,
- "payoutPeriod": "MONTHLY",
- "payoutFrequency": "MONTH",
- "salarySchedule": "ADVANCE",
- "note": "string",
- "salaryCode": "string"
}
}Delete One Additional Compensation
Bad Request
Unauthorized
Forbidden
Not Found
Internal server error
curl --request DELETE \ --url https://api.alexishr.com/v1/additional-compensation/507f1f77bcf86cd799439011 \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{- "status": "ok",
- "data": { }
}